com.opensymphony.xwork2.ognl

## Enum OgnlCacheFactory.CacheType

- java.lang.Object
- - java.lang.Enum<OgnlCacheFactory.CacheType>
  - - com.opensymphony.xwork2.ognl.OgnlCacheFactory.CacheType

- All Implemented Interfaces:
    Serializable, Comparable<OgnlCacheFactory.CacheType>
  Enclosing interface:
    OgnlCacheFactory<Key,Value>

      public static enum OgnlCacheFactory.CacheType
      extends Enum<OgnlCacheFactory.CacheType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC`
    `LRU`
    `WTLFU`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OgnlCacheFactory.CacheType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OgnlCacheFactory.CacheType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASIC

          public static final OgnlCacheFactory.CacheType BASIC

    - #### LRU

          public static final OgnlCacheFactory.CacheType LRU

    - #### WTLFU

          public static final OgnlCacheFactory.CacheType WTLFU

  - ### Method Detail

    - #### values

          public static OgnlCacheFactory.CacheType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OgnlCacheFactory.CacheType c : OgnlCacheFactory.CacheType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OgnlCacheFactory.CacheType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.